--- \cvs\pgsql\src\backend\storage\buffer\buf_init.c	Tue Aug 06 02:36:34 2002
+++ \cvs\pgsql.nw\src\backend\storage\buffer\buf_init.c	Mon Aug 12 17:52:40 2002
@@ -259,6 +259,10 @@
 	UnlockBuffers();
 	/* Release any buffer reference counts we are holding */
 	AtEOXact_Buffers(false);
+	/* Free allocated memory */
+	free(BufferBlockPointers);
+	free(PrivateRefCount);
+	free(BufferLocks);
 }
 
 /* -----------------------------------------------------
